<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2013 rel. 2 sp2 (x64) (http://www.altova.com) by Standa (Logica Czech Republic s.r.o.) -->
<xsd:schema xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" xmlns="http://www.ote-cr.cz/schema/oze/license" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" targetNamespace="http://www.ote-cr.cz/schema/oze/license" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="RESLICENSE">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:ResSenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ResReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="licenses">
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="license" minOccurs="0" maxOccurs="unbounded">
								<xsd:complexType>
									<xsd:sequence>
										<xsd:element name="plant" minOccurs="0" maxOccurs="unbounded">
											<xsd:complexType>
												<xsd:sequence>
													<xsd:element name="cadastral" minOccurs="0" maxOccurs="unbounded">
														<xsd:complexType>
															<xsd:attribute name="source-code" type="xsd:string"/>
															<xsd:attribute name="source-parcel" type="xsd:string"/>
														</xsd:complexType>
													</xsd:element>
													<xsd:element name="prod-source" minOccurs="0" maxOccurs="unbounded">
														<xsd:complexType>
															<xsd:attribute name="prod-source-id">
																<xsd:simpleType>
																	<xsd:restriction base="xsd:string">
																		<xsd:minLength value="1"/>
																	</xsd:restriction>
																</xsd:simpleType>
															</xsd:attribute>
															<xsd:attribute name="prod-source-install-capacity" use="required">
																<xsd:simpleType>
																	<xsd:restriction base="xsd:decimal">
																		<xsd:fractionDigits value="5"/>
																	</xsd:restriction>
																</xsd:simpleType>
															</xsd:attribute>
															<xsd:attribute name="prod-source-type" use="required">
																<xsd:simpleType>
																	<xsd:restriction base="xsd:string">
																		<xsd:enumeration value="AOE"/>
																		<xsd:enumeration value="GOE"/>
																		<xsd:enumeration value="JE"/>
																		<xsd:enumeration value="KVET"/>
																		<xsd:enumeration value="PE"/>
																		<xsd:enumeration value="PPE"/>
																		<xsd:enumeration value="PSE"/>
																		<xsd:enumeration value="PVE"/>
																		<xsd:enumeration value="SLE"/>
																		<xsd:enumeration value="VE"/>
																		<xsd:enumeration value="VTE"/>
																	</xsd:restriction>
																</xsd:simpleType>
															</xsd:attribute>
															<xsd:attribute name="prod-source-fuel-type" use="required">
																<xsd:simpleType>
																	<xsd:restriction base="xsd:string">
																		<xsd:minLength value="1"/>
																	</xsd:restriction>
																</xsd:simpleType>
															</xsd:attribute>
															<xsd:attribute name="prod-source-timestamp" type="xsd:dateTime" use="required"/>
														</xsd:complexType>
													</xsd:element>
												</xsd:sequence>
												<xsd:attribute name="plant-id" use="required">
													<xsd:simpleType>
														<xsd:restriction base="xsd:string">
															<xsd:minLength value="1"/>
														</xsd:restriction>
													</xsd:simpleType>
												</xsd:attribute>
												<xsd:attribute name="plant-ean" use="required">
													<xsd:simpleType>
														<xsd:restriction base="xsd:string">
															<xsd:length value="18"/>
														</xsd:restriction>
													</xsd:simpleType>
												</xsd:attribute>
												<xsd:attribute name="plant-version" type="xsd:int" use="required"/>
												<xsd:attribute name="plant-timestamp" type="xsd:dateTime" use="required"/>
												<xsd:attribute name="plant-begin-date" type="xsd:date"/>
												<xsd:attribute name="plant-change-date" type="xsd:date"/>
												<xsd:attribute name="plant-end-date" type="xsd:date"/>
												<xsd:attribute name="plant-area" type="xsd:string"/>
												<xsd:attribute name="plant-district" type="xsd:string"/>
												<xsd:attribute name="plant-city" type="xsd:string"/>
												<xsd:attribute name="plant-city-part" type="xsd:string"/>
												<xsd:attribute name="plant-street" type="xsd:string"/>
												<xsd:attribute name="plant-home-num" type="xsd:string"/>
												<xsd:attribute name="plant-orient-num" type="xsd:string"/>
												<xsd:attribute name="plant-post-code" type="xsd:string"/>
											</xsd:complexType>
										</xsd:element>
									</xsd:sequence>
									<xsd:attribute name="supplier-license-num" use="required">
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:minLength value="1"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="supplier-license-date-from" type="xsd:date" use="required"/>
									<xsd:attribute name="supplier-license-date-to" type="xsd:date" use="required"/>
									<xsd:attribute name="supplier-legal-effect-date" type="xsd:date" use="required"/>
									<xsd:attribute name="supplier-start-date-from" type="xsd:date" use="required"/>
									<xsd:attribute name="supplier-company-name" type="xsd:string"/>
									<xsd:attribute name="supplier-first-name" type="xsd:string"/>
									<xsd:attribute name="supplier-surn-name" type="xsd:string"/>
									<xsd:attribute name="supplier-bef-title" type="xsd:string"/>
									<xsd:attribute name="supplier-tax-num" use="required">
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:minLength value="1"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="supplier-area" type="xsd:string"/>
									<xsd:attribute name="supplier-district" type="xsd:string"/>
									<xsd:attribute name="supplier-city" type="xsd:string"/>
									<xsd:attribute name="supplier-city-part" type="xsd:string"/>
									<xsd:attribute name="supplier-street" type="xsd:string"/>
									<xsd:attribute name="supplier-home-num" type="xsd:string"/>
									<xsd:attribute name="supplier-orient-num" type="xsd:string"/>
									<xsd:attribute name="supplier-post-code" type="xsd:string"/>
									<xsd:attribute name="supplier-version" type="xsd:int" use="required"/>
									<xsd:attribute name="supplier-timestamp" type="xsd:dateTime" use="required"/>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jednoznačný identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Unique message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="PN3">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Opis licence na výrobu elektřiny</xsd:documentation>
								<xsd:documentation xml:lang="EN">Description of the electricity production licence</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
